<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tenants', function (Blueprint $table) {
            $table->unsignedBigInteger('selected_bank_account_id')->nullable()->after('footer_logo_id');

            $table->foreign('selected_bank_account_id')
                ->references('id')
                ->on('bank_accounts')
                ->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tenants', function (Blueprint $table) {
            $table->dropForeign(['selected_bank_account_id']);
            $table->dropColumn('selected_bank_account_id');
        });
    }
};
